POST api/Dashboard/GetUnsureEncounter/search
Request Information
URI Parameters
None.
Body Parameters
QueryParameter| Name | Description | Type | Additional information |
|---|---|---|---|
| PageNum | integer |
None. |
|
| PageSize | integer |
None. |
|
| Sort | Sort |
None. |
|
| Sorts | Collection of Sort |
None. |
|
| Filters | Collection of Filter |
None. |
|
| extends | Dictionary of string [key] and Object [value] |
None. |
Request Formats
application/json, text/json
Sample:
{
"PageNum": 1,
"PageSize": 2,
"Sort": {
"Field": "sample string 1",
"Dir": "sample string 2"
},
"Sorts": [
{
"Field": "sample string 1",
"Dir": "sample string 2"
},
{
"Field": "sample string 1",
"Dir": "sample string 2"
}
],
"Filters": [
{
"Field": "sample string 1",
"Operator": "sample string 2",
"Value": {},
"Logic": "sample string 4",
"Filters": []
},
{
"Field": "sample string 1",
"Operator": "sample string 2",
"Value": {},
"Logic": "sample string 4",
"Filters": []
}
],
"extends": {
"sample string 1": {},
"sample string 3": {}
}
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfListOfDashboardMedicalDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of DashboardMedicalDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"EncounterId": 1,
"CaseNo": 2,
"EmployeeId": "sample string 3",
"EmployeeLName": "sample string 4",
"EmployeeFName": "sample string 5",
"CompanyEmployeeId": "sample string 6",
"CompanyName": "sample string 7",
"InjuryTypeId": 1,
"InjuryTypeName": "sample string 8",
"OpenedUserName": "sample string 9",
"OpenedDate": "2026-08-04T14:30:50.375984-07:00",
"SignandCloseBy": 1,
"SignandCloseDate": "2026-08-04T14:30:50.375984-07:00",
"Status": 1,
"Sequence": 11,
"InteractionType": 1,
"OnSiteLocationId": 1,
"TeleMedicineId": 1,
"ServiceType": "sample string 12",
"COSSubServiceId": 1,
"COSSubServiceName": "sample string 13",
"WLCode": "sample string 14",
"EstimatedDOI": true,
"LevelOfCareId": 1,
"CaseStatus": 1,
"MedicUserName": "sample string 15",
"OnSiteClinicLocation": "sample string 16",
"VisitType": 17,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:30:50.375984-07:00",
"DateUpdated": "2026-08-04T14:30:50.375984-07:00",
"UserIDCreated": 21,
"UserIDUpdated": 22,
"CompanyCode": "sample string 23",
"IsExcludeDiscount": true
},
{
"EncounterId": 1,
"CaseNo": 2,
"EmployeeId": "sample string 3",
"EmployeeLName": "sample string 4",
"EmployeeFName": "sample string 5",
"CompanyEmployeeId": "sample string 6",
"CompanyName": "sample string 7",
"InjuryTypeId": 1,
"InjuryTypeName": "sample string 8",
"OpenedUserName": "sample string 9",
"OpenedDate": "2026-08-04T14:30:50.375984-07:00",
"SignandCloseBy": 1,
"SignandCloseDate": "2026-08-04T14:30:50.375984-07:00",
"Status": 1,
"Sequence": 11,
"InteractionType": 1,
"OnSiteLocationId": 1,
"TeleMedicineId": 1,
"ServiceType": "sample string 12",
"COSSubServiceId": 1,
"COSSubServiceName": "sample string 13",
"WLCode": "sample string 14",
"EstimatedDOI": true,
"LevelOfCareId": 1,
"CaseStatus": 1,
"MedicUserName": "sample string 15",
"OnSiteClinicLocation": "sample string 16",
"VisitType": 17,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:30:50.375984-07:00",
"DateUpdated": "2026-08-04T14:30:50.375984-07:00",
"UserIDCreated": 21,
"UserIDUpdated": 22,
"CompanyCode": "sample string 23",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}